org.eclipse.viatra.query.patternlanguage.services

## Class PatternLanguageGrammarAccess.PathExpressionHeadElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.services.PatternLanguageGrammarAccess.PathExpressionHeadElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    PatternLanguageGrammarAccess

      public class PatternLanguageGrammarAccess.PathExpressionHeadElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathExpressionHeadElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Keyword` | `getCommaKeyword_6()`
    `org.eclipse.xtext.Assignment` | `getDstAssignment_7()`
    `org.eclipse.xtext.RuleCall` | `getDstValueReferenceParserRuleCall_7_0()`
    `org.eclipse.xtext.Keyword` | `getFullStopKeyword_2()`
    `org.eclipse.xtext.Group` | `getGroup()`
    `org.eclipse.xtext.Keyword` | `getLeftParenthesisKeyword_4()`
    `org.eclipse.xtext.Action` | `getPathExpressionHeadAction_0()`
    `org.eclipse.xtext.Keyword` | `getRightParenthesisKeyword_8()`
    `org.eclipse.xtext.ParserRule` | `getRule()`
    `org.eclipse.xtext.Assignment` | `getSrcAssignment_5()`
    `org.eclipse.xtext.RuleCall` | `getSrcVariableReferenceParserRuleCall_5_0()`
    `org.eclipse.xtext.Assignment` | `getTailAssignment_3()`
    `org.eclipse.xtext.RuleCall` | `getTailPathExpressionTailParserRuleCall_3_0()`
    `org.eclipse.xtext.Assignment` | `getTypeAssignment_1()`
    `org.eclipse.xtext.RuleCall` | `getTypeTypeParserRuleCall_1_0()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PathExpressionHeadElements

          public PathExpressionHeadElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getPathExpressionHeadAction_0

          public org.eclipse.xtext.Action getPathExpressionHeadAction_0()

    - #### getTypeAssignment_1

          public org.eclipse.xtext.Assignment getTypeAssignment_1()

    - #### getTypeTypeParserRuleCall_1_0

          public org.eclipse.xtext.RuleCall getTypeTypeParserRuleCall_1_0()

    - #### getFullStopKeyword_2

          public org.eclipse.xtext.Keyword getFullStopKeyword_2()

    - #### getTailAssignment_3

          public org.eclipse.xtext.Assignment getTailAssignment_3()

    - #### getTailPathExpressionTailParserRuleCall_3_0

          public org.eclipse.xtext.RuleCall getTailPathExpressionTailParserRuleCall_3_0()

    - #### getLeftParenthesisKeyword_4

          public org.eclipse.xtext.Keyword getLeftParenthesisKeyword_4()

    - #### getSrcAssignment_5

          public org.eclipse.xtext.Assignment getSrcAssignment_5()

    - #### getSrcVariableReferenceParserRuleCall_5_0

          public org.eclipse.xtext.RuleCall getSrcVariableReferenceParserRuleCall_5_0()

    - #### getCommaKeyword_6

          public org.eclipse.xtext.Keyword getCommaKeyword_6()

    - #### getDstAssignment_7

          public org.eclipse.xtext.Assignment getDstAssignment_7()

    - #### getDstValueReferenceParserRuleCall_7_0

          public org.eclipse.xtext.RuleCall getDstValueReferenceParserRuleCall_7_0()

    - #### getRightParenthesisKeyword_8

          public org.eclipse.xtext.Keyword getRightParenthesisKeyword_8()